Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Interface ProteinProperties

public interface ProteinProperties

Defines protein properties constants.

Field Summary
`final static String` | `COMPLEX`
`final static String` | `HETERODIMER`
`final static String` | `HOMODIMER`
`final static String` | `MODIFICATION_NONE`
`final static String` | `MODIFICATION_PHOSPHORYLATED`
`final static String` | `MODIFICATION_UNKNOWN`
`final static String` | `MONOMER`
`final static String` | `MULTIMER`
`final static String` | `STATE_ACTIVE`
`final static String` | `STATE_INACTIVE`
`final static String` | `STATE_UNKNOWN`
`final static String` | `UNKNOWN`

Field Detail

### COMPLEX

    public final static String COMPLEX

### HETERODIMER

    public final static String HETERODIMER

### HOMODIMER

    public final static String HOMODIMER

### MODIFICATION_NONE

    public final static String MODIFICATION_NONE

### MODIFICATION_PHOSPHORYLATED

    public final static String MODIFICATION_PHOSPHORYLATED

### MODIFICATION_UNKNOWN

    public final static String MODIFICATION_UNKNOWN

### MONOMER

    public final static String MONOMER

### MULTIMER

    public final static String MULTIMER

### STATE_ACTIVE

    public final static String STATE_ACTIVE

### STATE_INACTIVE

    public final static String STATE_INACTIVE

### STATE_UNKNOWN

    public final static String STATE_UNKNOWN

### UNKNOWN

    public final static String UNKNOWN

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM